wicd: remove in Gentoo's favour

This commit is contained in:
blshkv 2017-03-19 03:08:35 +08:00
parent 7e646dc29a
commit 24a336b8e2
No known key found for this signature in database
GPG key ID: 9CCF6FCB8D8A14BF
14 changed files with 0 additions and 557 deletions

View file

@ -1,3 +0,0 @@
DIST Icone-Wicd-Lucid.tar.gz 9015 SHA256 6e4e3483c6cff7398e6871dd3e4360e361e5c6e64007e8e1240fd1c259ac707e SHA512 0df0dbdf05b462264dca2dd9955454a82f688b0fbfa7c2ad70a424df57eb27b35561d37819fc88b5746cff8a54de5b7b43ec325d2f98a4a1a30e4d500e86d2f8 WHIRLPOOL 336f363092c9bac7523047b6052a856a699820147967820418c6ac1ca528c472d371c6c211c505c325b5eb001812042c01425b05e1dfdf2d4a528f96686c530a
DIST wicd-1.7.2.4.tar.gz 439297 SHA256 dcfdfb5dbbb49dbb9b205fddf064d6b1a4e88f66f1cf40d12fb7fe0e0c7cdc97 SHA512 6dd8d4726c5f9c943d90305b7ed70573b42b5dae00de443209d9f526778e91ac01aabffa14447c47374b4d9986133aacfcc970735d1b5befa232da44d3190d7c WHIRLPOOL 59885a22dbf350e73a55fdbf7ea1c9b93a339edae116beb1c22c271762d90488ecdeb7952a4efc8241d362b5bafcaccf88053c4d5c41468cba0cd524cf2a5756
DIST wicd-mac4lin-icons.tar.xz 53136 SHA256 4c48c769c71f962415e3bd3573557e9288351afb867347f9a6f652883ae31011 SHA512 98ed3f92ec361aa8651c64efdb5128b8f73068f1cf2423640dafc4b46889ae32c1d1f56f509ad609b2bf98f634f8ada4c501f2294e3a64affd1befd4400498a8 WHIRLPOOL 84c097432ebb6ca66c0fa48d4226c8da5f6342b6fdeeb9546c98952b8f6e52a1f87d0ba23c1b409f3008432e5c6346bf65949dad99070804b1dcc2c1055eb9ea

View file

@ -1,11 +0,0 @@
diff -U 3 -dHrN wicd-1.7.1.orig/in/init=gentoo=wicd.in wicd-1.7.1/in/init=gentoo=wicd.in
--- wicd-1.7.1.orig/in/init=gentoo=wicd.in 2012-02-27 21:49:36.422873826 +0100
+++ wicd-1.7.1/in/init=gentoo=wicd.in 2012-02-27 21:50:26.957127714 +0100
@@ -10,6 +10,7 @@
depend() {
need dbus
after hald
+ provide net
}
start() {

View file

@ -1,11 +0,0 @@
--- in/init=gentoo=wicd.in 2010-10-29 11:36:55.000000000 -0400
+++ in/init=gentoo=wicd.in.new 2011-03-28 09:40:27.245339002 -0400
@@ -15,7 +15,7 @@
start() {
ebegin "Starting wicd daemon"
# fix Gentoo bug 296197
- sed -i 's/^\[\]$//' /etc/wicd/wired-settings.conf
+ [ -f /etc/wicd/wired-settings.conf ] && sed -i 's/^\[\]$//' /etc/wicd/wired-settings.conf
"${WICD_DAEMON}" >/dev/null 2>&1
eend $?
}

View file

@ -1,30 +0,0 @@
diff -U 3 -dHrN wicd.org/encryption/templates/active wicd/encryption/templates/active
--- wicd.org/encryption/templates/active 2011-12-05 16:22:49.584224158 +0100
+++ wicd/encryption/templates/active 2011-12-05 16:16:10.736172566 +0100
@@ -1,6 +1,7 @@
wpa
wpa-peap
wpa-psk
+wpa-psk-hex
wpa2-leap
wpa2-peap
wep-hex
diff -U 3 -dHrN wicd.org/encryption/templates/wpa-psk-hex wicd/encryption/templates/wpa-psk-hex
--- wicd.org/encryption/templates/wpa-psk-hex 1970-01-01 01:00:00.000000000 +0100
+++ wicd/encryption/templates/wpa-psk-hex 2011-12-05 16:16:43.428012863 +0100
@@ -0,0 +1,15 @@
+name = WPA 1/2 (Preshared Hex Key)
+author = Thomas Kahle
+version = 1
+require apsk *Preshared_Key
+-----
+ctrl_interface=/var/run/wpa_supplicant
+network={
+ ssid="$_ESSID"
+ scan_ssid=$_SCAN
+ proto=WPA RSN
+ key_mgmt=WPA-PSK
+ pairwise=CCMP TKIP
+ group=CCMP TKIP
+ psk=$_APSK
+}

View file

@ -1,16 +0,0 @@
=== modified file 'wicd/misc.py'
--- wicd/misc.py 2012-04-30 19:20:47 +0000
+++ wicd/misc.py 2012-05-03 16:01:49 +0000
@@ -430,7 +430,10 @@
""" Sanitize property names to be used in config-files. """
allowed = string.ascii_letters + '_' + string.digits
table = string.maketrans(allowed, ' ' * len(allowed))
- return s.translate(None, table)
+
+ # s is a dbus.String -- since we don't allow unicode property keys,
+ # make it simple.
+ return str(s).translate(None, table)
def sanitize_escaped(s):
""" Sanitize double-escaped unicode strings. """

View file

@ -1,43 +0,0 @@
=== modified file 'curses/curses_misc.py'
--- curses/curses_misc.py 2012-11-15 09:26:21 +0000
+++ curses/curses_misc.py 2012-11-16 09:22:47 +0000
@@ -352,7 +352,7 @@
if urwid.VERSION < (1, 1, 0):
self.focus = focus
else:
- self.focus_position = focus
+ self._w.focus_position = focus
self.callback = callback
self.user_args = user_args
@@ -368,7 +368,10 @@
if urwid.VERSION < (1, 1, 0):
self.focus = index
else:
- self.focus_position = index
+ try:
+ self._w.focus_position = index
+ except IndexError:
+ pass
# API changed between urwid 0.9.8.4 and 0.9.9
try:
@@ -386,7 +389,7 @@
if urwid.VERSION < (1, 1, 0):
index = self.focus
else:
- index = self.focus_position
+ index = self._w.focus_position
self.cbox = DynWrap(SelText([self.list[index]+self.DOWN_ARROW]),
attrs=self.attrs,focus_attr=self.focus_attr)
@@ -434,7 +437,7 @@
if urwid.VERSION < (1, 1, 0):
return None, self.focus
else:
- return None, self.focus_position
+ return None, self._w.focus_position
def get_sensitive(self):
return self.cbox.get_sensitive()

View file

@ -1,66 +0,0 @@
=== modified file 'curses/curses_misc.py'
--- curses/curses_misc.py 2012-05-06 15:16:15 +0000
+++ curses/curses_misc.py 2012-11-15 09:26:21 +0000
@@ -349,7 +349,10 @@
# We need this to pick our keypresses
self.use_enter = use_enter
- self.focus = focus
+ if urwid.VERSION < (1, 1, 0):
+ self.focus = focus
+ else:
+ self.focus_position = focus
self.callback = callback
self.user_args = user_args
@@ -362,7 +365,11 @@
self.list = list
def set_focus(self,index):
- self.focus = index
+ if urwid.VERSION < (1, 1, 0):
+ self.focus = index
+ else:
+ self.focus_position = index
+
# API changed between urwid 0.9.8.4 and 0.9.9
try:
self.cbox.set_w(SelText(self.list[index]+self.DOWN_ARROW))
@@ -376,16 +383,21 @@
def build_combobox(self,parent,ui,row):
str,trash = self.label.get_text()
- self.cbox = DynWrap(SelText([self.list[self.focus]+self.DOWN_ARROW]),
+ if urwid.VERSION < (1, 1, 0):
+ index = self.focus
+ else:
+ index = self.focus_position
+
+ self.cbox = DynWrap(SelText([self.list[index]+self.DOWN_ARROW]),
attrs=self.attrs,focus_attr=self.focus_attr)
if str != '':
w = urwid.Columns([('fixed',len(str),self.label),self.cbox],
dividechars=1)
- self.overlay = self.ComboSpace(self.list,parent,ui,self.focus,
+ self.overlay = self.ComboSpace(self.list,parent,ui,index,
pos=(len(str)+1,row))
else:
w = urwid.Columns([self.cbox])
- self.overlay = self.ComboSpace(self.list,parent,ui,self.focus,
+ self.overlay = self.ComboSpace(self.list,parent,ui,index,
pos=(0,row))
self._w = w
@@ -419,7 +431,10 @@
if self.overlay:
return self.overlay._listbox.get_focus()
else:
- return None,self.focus
+ if urwid.VERSION < (1, 1, 0):
+ return None, self.focus
+ else:
+ return None, self.focus_position
def get_sensitive(self):
return self.cbox.get_sensitive()

View file

@ -1,18 +0,0 @@
--- ./gtk/wicd-client.py
+++ ./gtk/wicd-client.py
@@ -43,6 +43,7 @@
import os
import pango
import atexit
+import time
from dbus import DBusException
import pygtk
@@ -984,6 +985,7 @@
print "Can't connect to the daemon, trying to start it " + \
"automatically..."
misc.PromptToStartDaemon()
+ time.sleep( 0.5 )
try:
dbusmanager.connect_to_dbus()
except DBusException:

View file

@ -1,24 +0,0 @@
Fixes compilation errors when os.environ['LANG'] is undefiend
--- ./setup.py
+++ ./setup.py
@@ -621,7 +621,7 @@ class compile_translations(Command):
shutil.rmtree('translations/')
os.makedirs('translations')
- oldlang = os.environ['LANG']
+ oldlang = os.environ.get('LANG', None)
os.environ['LANG'] = 'C'
for pofile in sorted(glob('po/*.po')):
@@ -656,7 +656,10 @@ class compile_translations(Command):
os.makedirs('translations/' + lang + '/LC_MESSAGES/')
os.system('pybabel compile -D wicd -i %s -l %s -d translations/' % (pofile, lang))
- os.environ['LANG'] = oldlang
+ if oldlang is not None:
+ os.environ['LANG'] = oldlang
+ else:
+ del os.environ['LANG']
class uninstall(Command):
description = "remove Wicd using uninstall.sh and install.log"

View file

@ -1,7 +0,0 @@
--- ./other/wicd-tray.desktop
+++ ./other/wicd-tray.desktop
@@ -13,3 +13,4 @@
Version=1.0
X-GNOME-Autostart-enabled=true
X-KDE-autostart-after=panel
+Hidden=true

View file

@ -1,9 +0,0 @@
--- ./in/init=gentoo=wicd.in
+++ ./in/init=gentoo=wicd.in
@@ -35,5 +35,5 @@
restart() {
force_kill
- start
+ sve_start
}

View file

@ -1,25 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>tomka@gentoo.org</email>
<name>Thomas Kahle</name>
</maintainer>
<maintainer>
<email>c1pher@gentoo.org</email>
<name>Dane Smith</name>
</maintainer>
<use>
<flag name='ambiance'>Install icons from Ubuntu's ambiance theme</flag>
<flag name='gtk'>Installs a gtk UI. This is enabled by default because it is
intended behavior. Requires <pkg>dev-python/pygtk</pkg></flag>
<flag name='gtk-autostart'>Start the gtk UI in tray modus with startx. This
is enabled by default because it is intended behavior.</flag>
<flag name='ioctl'>Installs additional python libraries to use as a backend.
This will improve speed but is experimental.</flag>
<flag name='mac4lin'>Change default icons to mac4lin icon set</flag>
<flag name='ncurses'>Installs a ncurses UI</flag>
<flag name='pm-utils'>Installs the pm-utils hooks for suspend/resume and
requires <pkg>sys-power/pm-utils</pkg></flag>
</use>
</pkgmetadata>

View file

@ -1,145 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
PYTHON_DEPEND="2"
PYTHON_USE_WITH="ncurses? xml"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.* *-jython"
DISTUTILS_USE_SEPARATE_SOURCE_DIRECTORIES="1"
inherit eutils distutils systemd
DESCRIPTION="A lightweight wired and wireless network manager for Linux"
HOMEPAGE="https://launchpad.net/wicd"
SRC_URI="http://launchpad.net/wicd/1.7/${PV}/+download/${P}.tar.gz
mac4lin? ( http://dev.gentoo.org/~anarchy/dist/wicd-mac4lin-icons.tar.xz )
ambiance? ( http://freetimesblog.altervista.org/blog/wp-content/uploads/downloads/2010/05/Icone-Wicd-Lucid.tar.gz )"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~mips ppc ppc64 x86"
IUSE="X ambiance +gtk +gtk-autostart ioctl libnotify mac4lin ncurses nls +pm-utils"
DEPEND="nls? ( dev-python/Babel )"
# Maybe virtual/dhcp would work, but there are enough problems with
# net-misc/dhcp that I want net-misc/dhcpcd to be guarenteed to be considered
# first if none are installed.
RDEPEND="
dev-python/dbus-python
X? ( gtk? ( dev-python/pygtk
|| (
x11-misc/ktsuss
x11-libs/gksu
kde-base/kdesu
)
)
)
|| (
net-misc/dhcpcd
net-misc/dhcp
net-misc/pump
)
net-wireless/wireless-tools
net-wireless/wpa_supplicant
|| (
sys-apps/net-tools
sys-apps/ethtool
)
!gtk? ( dev-python/pygobject:2 )
ioctl? ( dev-python/python-iwscan dev-python/python-wpactrl )
libnotify? ( dev-python/notify-python )
ncurses? (
dev-python/urwid
dev-python/pygobject:2
)
pm-utils? ( >=sys-power/pm-utils-1.1.1 )
"
DOCS="CHANGES NEWS AUTHORS README"
src_prepare() {
# Fix bug 441966 (urwid-1.1.0 compatibility)
epatch "${FILESDIR}"/${P}-urwid.patch
epatch "${FILESDIR}"/${P}-second-urwid.patch
epatch "${FILESDIR}"/${PN}-1.7.1_beta2-init.patch
# pushed upstream as rev 876
epatch "${FILESDIR}"/${PN}-init-sve-start.patch
# Add a template for hex psk's and wpa (Bug 306423)
epatch "${FILESDIR}"/${PN}-1.7.1_pre20111210-wpa-psk-hex-template.patch
# Fix bug 416579 (should be included in next release)
epatch "${FILESDIR}"/${P}-fix-dbus-error.patch
# disable starting with startx
use gtk-autostart ||
epatch "${FILESDIR}/${PN}-disable-autostart.patch"
# get rid of opts variable to fix bug 381885 (rev 876)
sed -i "/opts/d" "in/init=gentoo=wicd.in" || die
# Make init script provide net per bug 405775
epatch "${FILESDIR}"/${PN}-1.7.1-provide-net.patch
# delay connect to daemon (rev 877 and 878)
epatch "${FILESDIR}/${PN}-1.7.9999_p874-delay-daemon-connect.patch"
# Need to ensure that generated scripts use Python 2 at run time.
sed -e "s:self.python = '/usr/bin/python':self.python = '/usr/bin/python2':" \
-i setup.py || die "sed failed"
if use nls; then
# Asturian is faulty with PyBabel
# (https://bugs.launchpad.net/wicd/+bug/928589)
rm po/ast.po
else
# nuke translations
rm po/*.po
fi
python_copy_sources
}
src_configure() {
local myconf
use gtk || myconf="${myconf} --no-install-gtk"
use libnotify || myconf="${myconf} --no-use-notifications"
use ncurses || myconf="${myconf} --no-install-ncurses"
use pm-utils || myconf="${myconf} --no-install-pmutils"
configuration() {
$(PYTHON) ./setup.py configure --no-install-docs --resume=/usr/share/wicd/scripts/ --suspend=/usr/share/wicd/scripts/ --verbose ${myconf}
}
python_execute_function -s configuration
}
src_install() {
distutils_src_install
keepdir /var/lib/wicd/configurations \
|| die "keepdir failed, critical for this app"
keepdir /etc/wicd/scripts/{postconnect,disconnect,preconnect} \
|| die "keepdir failed, critical for this app"
keepdir /var/log/wicd \
|| die "keepdir failed, critical for this app"
use nls || rm -rf "${D}"/usr/share/locale
systemd_dounit "${S}/other/wicd.service"
if use mac4lin; then
rm -rf "${D}"/usr/share/pixmaps/wicd || die "Failed to remove old icons"
mv "${WORKDIR}"/wicd "${D}"/usr/share/pixmaps/
fi
if use ambiance; then
# Overwrite tray icons with ambiance icon
rm "${WORKDIR}/Icone Wicd Lucid"/signal*
cp "${WORKDIR}/Icone Wicd Lucid"/*.png "${D}"/usr/share/pixmaps/wicd/
fi
}
pkg_postinst() {
distutils_pkg_postinst
elog "You may need to restart the dbus service after upgrading wicd."
echo
elog "To start wicd at boot, add /etc/init.d/wicd to a runlevel and:"
elog "- Remove all net.* initscripts (except for net.lo) from all runlevels"
elog "- Add these scripts to the RC_PLUG_SERVICES line in /etc/rc.conf"
elog "(For example, rc_hotplug=\"!net.eth* !net.wlan*\")"
# Maintainer's note: the consolekit use flag short circuits a dbus rule and
# allows the connection. Else, you need to be in the group.
if ! has_version sys-auth/consolekit; then
ewarn "Wicd-1.6 and newer requires your user to be in the 'users' group. If"
ewarn "you are not in that group, then modify /etc/dbus-1/system.d/wicd.conf"
fi
}

View file

@ -1,149 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
PYTHON_DEPEND="2"
PYTHON_USE_WITH="ncurses? xml"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.* *-jython"
DISTUTILS_USE_SEPARATE_SOURCE_DIRECTORIES="1"
inherit eutils distutils systemd
if [[ "${PV}" == *9999* ]]; then
EBZR_REPO_URI="lp:${PN}"
EBZR_REVISION="874"
# "Nosmart" is much faster for initial branching.
EBZR_INITIAL_URI="nosmart+${EBZR_REPO_URI}"
EBZR_WORKDIR_CHECKOUT="t" #434746
inherit bzr
else
SRC_URI="http://launchpad.net/wicd/1.7/${PV}/+download/${P}.tar.gz"
fi
SRC_URI+="
mac4lin? ( http://dev.gentoo.org/~anarchy/dist/wicd-mac4lin-icons.tar.xz )
ambiance? ( http://freetimesblog.altervista.org/blog/wp-content/uploads/downloads/2010/05/Icone-Wicd-Lucid.tar.gz )"
DESCRIPTION="A lightweight wired and wireless network manager for Linux"
HOMEPAGE="https://launchpad.net/wicd"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~x86"
IUSE="X ambiance +gtk +gtk-autostart ioctl libnotify mac4lin ncurses nls +pm-utils"
DEPEND="nls? ( dev-python/Babel )"
# Maybe virtual/dhcp would work, but there are enough problems with
# net-misc/dhcp that I want net-misc/dhcpcd to be guarenteed to be considered
# first if none are installed.
RDEPEND="
dev-python/dbus-python
X? ( gtk? ( dev-python/pygtk
|| (
x11-misc/ktsuss
x11-libs/gksu
kde-base/kdesu
)
)
)
|| (
net-misc/dhcpcd
net-misc/dhcp
net-misc/pump
)
net-wireless/wireless-tools
net-wireless/wpa_supplicant
|| (
sys-apps/net-tools
sys-apps/ethtool
)
!gtk? ( dev-python/pygobject:2 )
ioctl? ( dev-python/python-iwscan dev-python/python-wpactrl )
libnotify? ( dev-python/notify-python )
ncurses? (
dev-python/urwid
dev-python/pygobject:2
)
pm-utils? ( >=sys-power/pm-utils-1.1.1 )
"
DOCS="CHANGES NEWS AUTHORS README"
src_prepare() {
# fix errors when LANG is undefined (pushed upstream as rev 875)
epatch "${FILESDIR}/${P}-undefined-LANG.patch"
# disable starting with startx
use gtk-autostart ||
epatch "${FILESDIR}/${PN}-disable-autostart.patch"
# pushed upstream as rev 876
epatch "${FILESDIR}/${PN}-init-sve-start.patch"
# get rid of opts variable to fix bug 381885 (rev 876)
sed -i "/opts/d" "in/init=gentoo=wicd.in" || die
# delay connect to daemon (rev 877 and 878)
epatch "${FILESDIR}/${P}-delay-daemon-connect.patch"
# Need to ensure that generated scripts use Python 2 at run time.
sed -e "s:self.python = '/usr/bin/python':self.python = '/usr/bin/python2':" \
-i setup.py || die "sed failed"
if use nls; then
# Asturian is faulty with PyBabel
# (https://bugs.launchpad.net/wicd/+bug/928589)
rm po/ast.po
else
# nuke translations
rm po/*.po
fi
python_copy_sources
}
src_configure() {
local myconf
use gtk || myconf="${myconf} --no-install-gtk"
use libnotify || myconf="${myconf} --no-use-notifications"
use ncurses || myconf="${myconf} --no-install-ncurses"
use pm-utils || myconf="${myconf} --no-install-pmutils"
configuration() {
$(PYTHON) ./setup.py configure --no-install-docs --resume=/usr/share/wicd/scripts/ --suspend=/usr/share/wicd/scripts/ --verbose ${myconf}
}
python_execute_function -s configuration
}
src_install() {
distutils_src_install
keepdir /var/lib/wicd/configurations \
|| die "keepdir failed, critical for this app"
keepdir /etc/wicd/scripts/{postconnect,disconnect,preconnect} \
|| die "keepdir failed, critical for this app"
keepdir /var/log/wicd \
|| die "keepdir failed, critical for this app"
use nls || rm -rf "${D}"/usr/share/locale
systemd_dounit "${S}/other/wicd.service"
if use mac4lin; then
rm -rf "${D}"/usr/share/pixmaps/wicd || die "Failed to remove old icons"
mv "${WORKDIR}"/wicd "${D}"/usr/share/pixmaps/
fi
if use ambiance; then
# Overwrite tray icons with ambiance icon
rm "${WORKDIR}/Icone Wicd Lucid"/signal*
cp "${WORKDIR}/Icone Wicd Lucid"/*.png "${D}"/usr/share/pixmaps/wicd/
fi
}
pkg_postinst() {
distutils_pkg_postinst
elog "You may need to restart the dbus service after upgrading wicd."
echo
elog "To start wicd at boot, add /etc/init.d/wicd to a runlevel and:"
elog "- Remove all net.* initscripts (except for net.lo) from all runlevels"
elog "- Add these scripts to the RC_PLUG_SERVICES line in /etc/rc.conf"
elog "(For example, rc_hotplug=\"!net.eth* !net.wlan*\")"
# Maintainer's note: the consolekit use flag short circuits a dbus rule and
# allows the connection. Else, you need to be in the group.
if ! has_version sys-auth/consolekit; then
ewarn "Wicd-1.6 and newer requires your user to be in the 'users' group. If"
ewarn "you are not in that group, then modify /etc/dbus-1/system.d/wicd.conf"
fi
}